import { Block } from '../../models/block';
export declare class BceOptionCreator {
    private el;
    value: Block.ElementOption[];
    icon?: string | string[];
    allowImage: boolean;
    allowColor: boolean;
    allowOther: boolean;
    other: boolean;
    labelOCAddButton: string;
    labelOCRemoveButton: string;
    labelOCOther: string;
    labelOCImage: string;
    label?: string;
    placeholder?: string;
    private onOther;
    private onFile;
    private onFileDelete;
    private handleInput;
    private handleKeyDown;
    private handleAdd;
    private handleOther;
    private handleRemove;
    private handleColor;
    private handleImage;
    watchValue(value: Block.ElementOption[]): void;
    focusLast(nextTick?: boolean): Promise<void>;
    private uploadImage;
    private deleteImage;
    componentDidLoad(): void;
    renderTooltip(icon: string, content?: string): any;
    renderMetadata(option: Block.ElementOption): any;
    renderOption(option: Block.ElementOption, index: number, other?: boolean): any;
    render(): any[];
}
